<?php

namespace App\Http\Controllers;

use App\Models\AtrocoreBrand;
use App\Models\AtrocoreCategory;
use App\Models\Product;
use App\Models\AtrocoreProduct;
use App\Models\Category;

class ProductController extends Controller
{
    //  به جدول پرداکت در آتروکر اضافه کنیم  store در زمان خواندن باید اسم فروشگاه اضافه شود تا در اینجا داشته باشیم و باید فیلدی تحت عنوان 
    // product , brand ,category جداول رو به رو باید آیدی آنها تغییر کند و بیگ اینت و اتو اینکریمنت شود 
    // product , brand ,category آن ها به صورت دیفالت پر شود created_at بهتر است در جداول 
    // order_category اضافه شدن فیلد رو به رو به دسته بندی

    public $array_order = [];
    public function insert_in_atropim()
    {
        dd('hi');
        set_time_limit(0);
        ini_set('max_execution_time', '0');
        Product::whereNotNull('title')->chunk(100, function ($pro) {
            foreach ($pro as $key => $res) {
                
                $find_product = AtrocoreProduct::where("name", $res['title'])->where("store", $res['shop'])->first();

                if (empty($find_product)) { 
                    $find_product = AtrocoreProduct::create([
                        'name' => $res['title'],
                        'price_currency' => $res['money_type'],
                        'is_active' => 1,
                        'store' => $res['shop'],
                        'price' => intval($res['price']) 
                    ]);
                    $find_brand = AtrocoreBrand::where("name", strtolower($res['brand']))->first();
                    
                    if (empty($find_brand)) { // اگر همچین برندی از قبل وارد نشده بود
                        $find_brand = AtrocoreBrand::create([
                            'name' => strtolower($res['brand']),
                            'is_active' => 1
                        ]);
                    }

                    $find_product->update(['brand_id' => $find_brand['id']]);
                } else {
                    $find_product->update(['price' => $res->price]);
                }
            }
        });
    }
}
